package kr.co.vividnext.sodalive.audio_content.main.v2.asmr

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.audio_content.main.ContentCreatorResponse
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentMainItem
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentRankingItem
import kr.co.vividnext.sodalive.audio_content.main.v2.GetContentCurationResponse
import kr.co.vividnext.sodalive.settings.event.GetEventResponse

@Keep
data class GetContentMainTabAsmrResponse(
    @SerializedName("contentBannerList")
    val contentBannerList: List<GetAudioContentBannerResponse>,
    @SerializedName("newAsmrContentList")
    val newAsmrContentList: List<GetAudioContentMainItem>,
    @SerializedName("creatorList")
    val creatorList: List<ContentCreatorResponse>,
    @SerializedName("salesCountRankContentList")
    val salesCountRankContentList: List<GetAudioContentRankingItem>,
    @SerializedName("eventBannerList")
    val eventBannerList: GetEventResponse,
    @SerializedName("curationList")
    val curationList: List<GetContentCurationResponse>
)
