package kr.co.vividnext.sodalive.audio_content.main.v2.series.origianl_audio_drama

import kr.co.vividnext.sodalive.audio_content.AudioContentApi
import kr.co.vividnext.sodalive.common.SharedPreferenceManager
import kr.co.vividnext.sodalive.settings.ContentType

class OriginalAudioDramaContentAllRepository(private val api: AudioContentApi) {
    fun getOriginalAudioDramaList(
        page: Int,
        size: Int,
        token: String
    ) = api.getOriginalAudioDramaList(
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        page = page - 1,
        size = size,
        authHeader = token
    )
}
