package kr.co.vividnext.sodalive.mypage

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class MyPageResponse(
    @SerializedName("nickname") val nickname: String,
    @SerializedName("profileUrl") val profileUrl: String,
    @SerializedName("chargeCan") val chargeCan: Int,
    @SerializedName("rewardCan") val rewardCan: Int,
    @SerializedName("point") val point: Int,
    @SerializedName("youtubeUrl") val youtubeUrl: String?,
    @SerializedName("instagramUrl") val instagramUrl: String?,
    @SerializedName("websiteUrl") val websiteUrl: String?,
    @SerializedName("blogUrl") val blogUrl: String?,
    @SerializedName("liveReservationCount") val liveReservationCount: Int,
    @SerializedName("likeCount") val likeCount: Int,
    @SerializedName("isAuth") val isAuth: Boolean
)
