package kr.co.vividnext.sodalive.mypage.service_center

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import retrofit2.http.GET
import retrofit2.http.Query

interface FaqApi {
    @GET("/faq")
    fun getFaqs(@Query("category") category: String): Single<ApiResponse<List<Faq>>>

    @GET("/faq/category")
    fun getFaqCategories(): Single<ApiResponse<List<String>>>
}
